Skip to main content
GET
/
v1
/
my
/
contacts
/
{id}
Get a contact
curl --request GET \
  --url https://api.nitrosend.com/v1/my/contacts/{id} \
  --header 'Authorization: Bearer <token>'
{
  "id": 123,
  "uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "first_name": "<string>",
  "last_name": "<string>",
  "source": "<string>",
  "country_code": "<string>",
  "data": {},
  "subscribed_phone": true,
  "subscribed_email": true,
  "verification_status": "verified",
  "enrichment_status": "enriched",
  "list_ids": [
    123
  ],
  "last_interacted_at": "2023-11-07T05:31:56Z",
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "channels": [
    {
      "id": 123,
      "contact_id": 123,
      "kind": "email",
      "value": "<string>",
      "subscribed": true,
      "verified": true,
      "opt_in_at": "2023-11-07T05:31:56Z",
      "opt_out_at": "2023-11-07T05:31:56Z",
      "sent_count": 123,
      "fail_count": 123,
      "data": {},
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z"
    }
  ]
}

Authorizations

Authorization
string
header
required

API key (nskey_live_...) or JWT token. API key is checked first; if not found, falls back to Devise JWT authentication.

Path Parameters

id
integer
required

Response

Contact with channels

id
integer
uuid
string<uuid>
first_name
string | null
last_name
string | null
source
string | null
country_code
string | null
data
object
subscribed_phone
boolean
subscribed_email
boolean
verification_status
enum<string>
Available options:
verified,
suppressed,
unverified
enrichment_status
enum<string>
Available options:
enriched,
not_enriched
list_ids
integer[]
last_interacted_at
string<date-time> | null
created_at
string<date-time>
updated_at
string<date-time>
channels
object[]